| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::usrp_clock::octoclock_eeprom_t Class Reference

`#include <uhd/usrp_clock/octoclock_eeprom.hpp>`

Inheritance diagram for uhd::usrp_clock::octoclock_eeprom_t:

## Public Member Functions
| octoclock_eeprom_t (void)
| Make a new empty OctoClock EEPROM handler.
| octoclock_eeprom_t (transport::udp_simple::sptr transport, uint32_t proto_ver)
void | commit () const

## Detailed Description

The OctoClock EEPROM object: Knows how to read and write the OctoClock EEPROM. The class inherits from a string, string dictionary. Use the dictionary interface to get and set values. Commit to the EEPROM to save changed settings.

## Constructor & Destructor Documentation

## ◆ octoclock_eeprom_t() [1/2]

uhd::usrp_clock::octoclock_eeprom_t::octoclock_eeprom_t | ( | void |  | ) |

Make a new empty OctoClock EEPROM handler.

## ◆ octoclock_eeprom_t() [2/2]

uhd::usrp_clock::octoclock_eeprom_t::octoclock_eeprom_t | ( | transport::udp_simple::sptr | transport,
|  | uint32_t | proto_ver )

Make a new OctoClock EEPROM handler.

Parameters

  transport | the UDP transport to the OctoClock
  proto_ver | firmware protocol version

## Member Function Documentation

## ◆ commit()

void uhd::usrp_clock::octoclock_eeprom_t::commit | ( |  | ) | const

Write the contents of this object to the EEPROM.

The documentation for this class was generated from the following file:

- octoclock_eeprom.hpp